Bug 286631 - Review Request: slingshot - A Newtonian strategy game
Review Request: slingshot - A Newtonian strategy game
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-11 14:32 EDT by Jon Ciesla
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.8.1p-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-17 23:18:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Jon Ciesla 2007-09-11 14:32:20 EDT
Spec URL: http://zanoni.jcomserv.net/fedora/slingshot/slingshot.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/slingshot/slingshot-0.8.1p-1.fc7.src.rpm
Description: Slingshot is a two dimensional, turn based simulation-strategy game
set in the gravity fields of several planets. It is a highly
addictive game, and never the same from round to round due to its
randomly generated playing fields.
Comment 1 Hans de Goede 2007-09-11 14:55:36 EDT
Shall we exchange reviews again? As usual pick any of mine from the Games SIG page.
Comment 2 Hans de Goede 2007-09-11 17:55:41 EDT
Fully reviewed, all MUST items passed, and it works fine on x86_64 and seems
like a good way to waist some time :)
Comment 3 Jon Ciesla 2007-09-11 18:09:04 EDT
Thanks much.

I was afraid you'd never finish the review if you played it.  I'm amazed I was
able to break away long enough to package the thing. :)

New Package CVS Request
Package Name: slingshot
Short Description: A Newtonian strategy game
Owners: limb
Branches: FC-6 F-7
Cvsextras Commits: yes
Comment 4 Ignacio Vazquez-Abrams 2007-09-11 20:51:38 EDT
Why does the package include a copy of FreeSansBold.ttf instead of requiring
freefont and using the file in there?
Comment 5 Jon Ciesla 2007-09-11 20:58:29 EDT
Good question.  I didn't know it was already included.  Would it be better to
replace the included copy with a Requires: and a symlink?  Or, instead of a
symlink, I could patch the slingshot.py.  Which is preferred?
Comment 6 Ignacio Vazquez-Abrams 2007-09-11 21:47:32 EDT
Well, patching will use up one less inode on the disk and save a bit of space in
the package. Other than that I don't think it really matters.
Comment 7 Jon Ciesla 2007-09-11 22:17:35 EDT
Complete.  It will be imported with that change.
Comment 8 Kevin Fenzi 2007-09-12 11:54:28 EDT
cvs done.
Comment 9 Fedora Update System 2007-09-17 23:18:05 EDT
slingshot-0.8.1p-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.